package com.chelvc.framework.aliyun;

import com.chelvc.framework.common.model.Risk;

/**
 * 阿里云操作接口
 *
 * @author Woody
 * @date 2024/8/12
 */
public interface AliyunHandler {
    /**
     * 根据临时令牌获取手机号
     *
     * @param token 临时令牌
     * @return 手机号
     */
    String code2mobile(String token);

    /**
     * 校验用户头像是否合法
     *
     * @param url 头像地址
     * @return 风险信息
     */
    Risk verifyAvatar(String url);

    /**
     * 校验用户昵称是否合法
     *
     * @param nickname 用户昵称
     * @return 风险信息
     */
    Risk verifyNickname(String nickname);

    /**
     * 校验智能验证码
     *
     * @param verification 验证信息
     * @return true/false
     */
    boolean verifyCaptcha(String verification);
}
