package com.chelvc.framework.base.converter;

import java.util.Set;

import com.chelvc.framework.common.model.Enumeration;
import com.chelvc.framework.common.util.StringUtils;
import org.springframework.core.convert.TypeDescriptor;
import org.springframework.core.convert.converter.ConditionalGenericConverter;
import org.springframework.stereotype.Component;

/**
 * 字符串自定义枚举参数转换器
 *
 * @author Woody
 * @date 2025/5/19
 */
@Component
public class StringEnumerationConverter implements ConditionalGenericConverter {
    @Override
    public Set<ConvertiblePair> getConvertibleTypes() {
        return null;
    }

    @Override
    public boolean matches(TypeDescriptor source, TypeDescriptor target) {
        return source.getType() == String.class && Enumeration.class.isAssignableFrom(target.getType());
    }

    @Override
    @SuppressWarnings("unchecked")
    public Object convert(Object value, TypeDescriptor source, TypeDescriptor target) {
        return Enumeration.parse((Class<? extends Enumeration>) target.getType(), StringUtils.toString(value));
    }
}
