package com.chelvc.framework.common.model;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 风险信息
 *
 * @author Woody
 * @date 2025/5/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Risk implements Serializable {
    /**
     * 风险等级枚举
     */
    public enum Level {
        /**
         * 高风险
         */
        HIGH,

        /**
         * 中风险
         */
        MEDIUM,

        /**
         * 低风险
         */
        LOW,

        /**
         * 无风险
         */
        NONE
    }

    /**
     * 风险等级
     */
    private Level level;

    /**
     * 风险描述
     */
    private String description;
}
