package com.chelvc.framework.feign.circuitbreaker;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Feign接口调用熔断注解
 *
 * @author Woody
 * @date 2025/4/14
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface FeignCircuitBreaker {
    /**
     * 是否启用
     *
     * @return true/false
     */
    boolean enabled() default true;

    /**
     * 获取启用熔断服务名称数组
     *
     * @return 服务名称数组
     */
    String[] servers() default {};
}
